package com.osinitsoap;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.4
 * 2020-02-13T16:04:13.617+03:00
 * Generated source version: 3.0.4
 * 
 */
@WebService(targetNamespace = "http://osinitsoap.com", name = "users")
@XmlSeeAlso({ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface Users {

    @WebMethod(action = "http://osinitsoap.com")
    @WebResult(name = "getUserResponse", targetNamespace = "http://osinitsoap.com", partName = "responsePart")
    public GetUserResponse getUser(
        @WebParam(partName = "requestPart", name = "getUserRequest", targetNamespace = "http://osinitsoap.com")
        GetUserRequest requestPart
    );
}
